View Issue Details

IDProjectCategoryView StatusLast Update
11970Feature requests[All Projects] Theme editorpublic2018-04-06 11:48
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0 
Summary11970: create a template-default package
Description

I think we can , currently, create a template-default package with:
template-core
awesome-checkbox
some template.js function

Then : we can more easily fix user template.

Additional Information

The only current issue is rtl issue awesome-checkbox-rtl AND boostrap-rtl.

But i don't know how to fix it .....

Solution 1 : fix 'Yii package system ' for rtl ? http://www.yiiframework.com/doc/api/1.1/CClientScript#registerCoreScript-detail 8-|
Solution 2 : Add .dir-rtl AND .dir-tlr on awesome-checkbox AND add .dir-rtl on boostrap-rtl

Tagsanswers_html

Relationships

related to 11784 closedDenisChenu Replace alert + confirm in core system (?) 

Activities

DenisChenu

DenisChenu

2016-12-02 15:04

developer   ~42317

Last edited: 2016-12-02 15:04

View 2 revisions

ANother solution

template package have rtl / not rtl version

Must do 2 default-template package .... on for ltr and one for rtl

And config.xml must use ltr/rtl for packaging

DenisChenu

DenisChenu

2016-12-03 01:15

developer   ~42328

Fix committed to develop branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=21684

DenisChenu

DenisChenu

2016-12-03 01:39

developer   ~42329

Confirm for old template : http://testing.sondages.pro/answershtml/index.php/225288

Working without major issue

Related Changesets

LimeSurvey: develop f1e78347

2016-12-03 01:10:27

DenisChenu

Details Diff
New Feature 11970: create a template-default package , add template-core + awesome bootsrap in it
Dev: this allow more easily update/fix user template
Dev: think we can add this package to old 2.5X template and fix it directly
Affected Issues
11970
mod - application/config/packages.php Diff File
mod - application/controllers/survey/index.php Diff File
mod - application/core/packages/limesurvey/survey.js Diff File
add - application/core/packages/template-default/template-core.js Diff File
mod - application/helpers/replacements_helper.php Diff File
mod - application/models/TemplateConfiguration.php Diff File
mod - templates/default/config.xml Diff File
mod - templates/default/scripts/template.js Diff File

LimeSurvey: develop fbf2ff1a

2016-12-03 01:34:21

DenisChenu

Details Diff
Fixed issue : 2.5X template based on default compatibility
Dev: except some minor glitch : all working without issue
Affected Issues
11970
mod - application/models/TemplateConfiguration.php Diff File

Issue History

Date Modified Username Field Change
2016-11-30 17:22 DenisChenu New Issue
2016-11-30 17:22 DenisChenu Tag Attached: answers_html
2016-12-01 08:18 DenisChenu Additional Information Updated View Revisions
2016-12-02 15:04 DenisChenu Note Added: 42317
2016-12-02 15:04 DenisChenu Note Edited: 42317 View Revisions
2016-12-03 01:06 DenisChenu Assigned To => DenisChenu
2016-12-03 01:06 DenisChenu Status new => assigned
2016-12-03 01:15 DenisChenu Changeset attached => LimeSurvey develop f1e78347
2016-12-03 01:15 DenisChenu Note Added: 42328
2016-12-03 01:15 DenisChenu Resolution open => fixed
2016-12-03 01:39 DenisChenu Changeset attached => LimeSurvey develop fbf2ff1a
2016-12-03 01:39 DenisChenu Note Added: 42329
2016-12-03 01:39 DenisChenu Status assigned => resolved
2016-12-03 01:39 DenisChenu Fixed in Version => 3.0
2016-12-10 14:22 DenisChenu Relationship added related to 11784
2018-04-06 11:48 markusfluer Status resolved => closed